<?php
/**
 * Get current theme options
 * 
 * @return array
 */
function aletheme_get_options() {
	$comments_style = array(
		'wp'  => 'Alethemes Comments',
		'fb'  => 'Facebook Comments',
		'dq'  => 'DISQUS',
		'lf'  => 'Livefyre',
		'off' => 'Disable All Comments',
	);

    $headerfont = array_merge(ale_get_safe_webfonts(), ale_get_google_webfonts());

    $background_defaults = array(
        'color' => '',
        'image' => '',
        'repeat' => 'repeat',
        'position' => 'top center',
        'attachment'=>'scroll'
    );

	
	$imagepath =  ALETHEME_URL . '/assets/images/';
	
	$options = array();
		
	$options[] = array("name" => "Theme",
						"type" => "heading");

    $options[] = array( "name" => "Site Logo",
                        "desc" => "Upload or put the site logo link (Default logo size: 138-65px)",
                        "id" => "ale_sitelogo",
                        "std" => "",
                        "type" => "upload");

    $options[] = array( "name" => "Site Logo Footer",
                        "desc" => "Upload or put the site logo footer link (Default logo size: 138-65px)",
                        "id" => "ale_sitelogo_footer",
                        "std" => "",
                        "type" => "upload");

    $options[] = array( 'name' => "Manage Background",
                        'desc' => "Select the background color, or upload a custom background image. Default background is the #f5f5f5 color",
                        'id' => 'ale_background',
                        'std' => $background_defaults,
                        'type' => 'background');

    $options[] = array( "name" => "Background Size Cover",
                        "desc" => "Check if you want to select cover background size",
                        "id" => "ale_backcover",
                        "std" => "1",
                        "type" => "checkbox");

    $options[] = array( "name" => "Uplaod a favicon icon",
                        "desc" => "Upload or put the link of your favicon icon",
                        "id" => "ale_favicon",
                        "std" => "",
                        "type" => "upload");

	$options[] = array( "name" => "Comments Style",
						"desc" => "Choose your comments style. If you want to use DISQUS comments please install and activate this plugin from <a href=\"" . admin_url('plugin-install.php?tab=search&type=term&s=Disqus+Comment+System&plugin-search-input=Search+Plugins') . "\">Wordpress Repository</a>.  If you want to use Livefyre Realtime Comments comments please install and activate this plugin from <a href=\"" . admin_url('plugin-install.php?tab=search&type=term&s=Livefyre+Realtime+Comments&plugin-search-input=Search+Plugins') . "\">Wordpress Repository</a>.",
						"id" => "ale_comments_style",
						"std" => "wp",
						"type" => "select",
						"options" => $comments_style);

	$options[] = array( "name" => "AJAX Comments",
						"desc" => "Use AJAX on comments posting (works only with Alethemes Comments selected).",
						"id" => "ale_ajax_comments",
						"std" => "1",
						"type" => "checkbox");

	$options[] = array( "name" => "Social Sharing",
						"desc" => "Enable social sharing for posts.",
						"id" => "ale_social_sharing",
						"std" => "1",
						"type" => "checkbox");

    $options[] = array( "name" => "Copyrights",
                        "desc" => "Your copyright message.",
                        "id" => "ale_copyrights",
                        "std" => "",
                        "type" => "editor");

    $options[] = array( "name" => "Home Page Slider slug",
                        "desc" => "Insert the slider slug. Get the slug on Sliders Section",
                        "id" => "ale_homeslugfull",
                        "std" => "",
                        "type" => "text");

    $options[] = array( "name" => "Typography",
                        "type" => "heading");

    $options[] = array( "name" => "Select the body Font from Google Library",
                        "desc" => "The default Font is - Raleway",
                        "id" => "ale_headerfont",
                        "std" => "Raleway",
                        "type" => "select",
                        "options" => $headerfont);

    $options[] = array( "name" => "Select the body Font (Extended) from Google Library",
                        "desc" => "The default Font (extended) is - 400,500,600",
                        "id" => "ale_headerfontex",
                        "std" => "400,500,600",
                        "type" => "text",
                        );

    $options[] = array( "name" => "Select the Headers Font from Google Library",
                        "desc" => "The default Font is - Montserrat",
                        "id" => "ale_mainfont",
                        "std" => "Montserrat",
                        "type" => "select",
                        "options" => $headerfont);

    $options[] = array( "name" => "Select the Headers Font (Extended) from Google Library",
                        "desc" => "The default Font (extended) is - 400",
                        "id" => "ale_mainfontex",
                        "std" => "400,700",
                        "type" => "text",
                        );

    $options[] = array( "name" => "Select the Thyrd Font from Google Library",
                        "desc" => "The default Font is - Open Sans",
                        "id" => "ale_thyrdfont",
                        "std" => "Open+Sans",
                        "type" => "select",
                        "options" => $headerfont);

    $options[] = array( "name" => "Select the Thyrd Font (Extended) from Google Library",
                        "desc" => "The default Font (extended) is - 300italic,400italic,600italic,700italic,800italic,300,400, 600,700,800&amp;subset=latin,cyrillic-ext,cyrillic,latin-ext",
                        "id" => "ale_thyrdfontex",
                        "std" => "400,300",
                        "type" => "text",
                        );

    $options[] = array( "name" => "Select the Thyrd Font from Google Library",
                        "desc" => "The default Font is - PT Serif",
                        "id" => "ale_ptseriffont",
                        "std" => "PT+Serif",
                        "type" => "select",
                        "options" => $headerfont);

    $options[] = array( "name" => "Select the Thyrd Font (Extended) from Google Library",
                        "desc" => "The default Font (extended) is - 400,700,400italic,700italic&amp;subset=latin, cyrillic-ext,latin-ext,cyrillic",
                        "id" => "ale_ptseriffontex",
                        "std" => "400",
                        "type" => "text",
                        );

    $options[] = array( 'name' => "H1 Style",
                        'desc' => "Change the h1 style",
                        'id' => 'ale_h1sty',
                        'std' => array('size' => '22px','face' => 'Raleway','style' => 'normal','color' => '#111111'),
                        'type' => 'typography');

    $options[] = array( 'name' => "H2 Style",
                        'desc' => "Change the h2 style",
                        'id' => 'ale_h2sty',
                        'std' => array('size' => '20px','face' => 'Raleway','style' => 'normal','color' => '#111111'),
                        'type' => 'typography');

    $options[] = array( 'name' => "H3 Style",
                        'desc' => "Change the h3 style",
                        'id' => 'ale_h3sty',
                        'std' => array('size' => '18px','face' => 'Raleway','style' => 'normal','color' => '#111111'),
                        'type' => 'typography');

    $options[] = array( 'name' => "H4 Style",
                        'desc' => "Change the h4 style",
                        'id' => 'ale_h4sty',
                        'std' => array('size' => '16px','face' => 'Raleway','style' => 'normal','color' => '#111111'),
                        'type' => 'typography');

    $options[] = array( 'name' => "H5 Style",
                        'desc' => "Change the h5 style",
                        'id' => 'ale_h5sty',
                        'std' => array('size' => '14px','face' => 'Raleway','style' => 'normal','color' => '#111111'),
                        'type' => 'typography');

    $options[] = array( 'name' => "H6 Style",
                        'desc' => "Change the h6 style",
                        'id' => 'ale_h6sty',
                        'std' => array('size' => '12px','face' => 'Raleway','style' => 'normal','color' => '#111111'),
                        'type' => 'typography');

    $options[] = array( 'name' => "Body Style",
                        'desc' => "Change the body font style",
                        'id' => 'ale_bodystyle',
                        'std' => array('size' => '12px','face' => 'Raleway','style' => 'normal','color' => '#767676'),
                        'type' => 'typography');

	$options[] = array( "name" => "Social",
						"type" => "heading");

    $options[] = array( "name" => "Twitter",
                        "desc" => "Your twitter profile URL.",
                        "id" => "ale_twi",
                        "std" => "",
                        "type" => "text");
	$options[] = array( "name" => "Facebook",
						"desc" => "Your facebook profile URL.",
						"id" => "ale_fb",
						"std" => "",
						"type" => "text");
    $options[] = array( "name" => "Pinterest",
                        "desc" => "Your pinteres profile URL.",
                        "id" => "ale_pint",
                        "std" => "",
                        "type" => "text");
    $options[] = array( "name" => "Instagram",
                        "desc" => "Your instagram profile URL.",
                        "id" => "ale_insta",
                        "std" => "",
                        "type" => "text");
	$options[] = array( "name" => "Facebook Application ID",
						"desc" => "If you have Application ID you can connect the blog to your Facebook Profile and monitor statistics there.",
						"id" => "ale_fb_id",
						"std" => "",
						"type" => "text");
	$options[] = array( "name" => "Enable Open Graph",
						"desc" => "The <a href=\"http://www.ogp.me/\">Open Graph</a> protocol enables any web page to become a rich object in a social graph.",
						"id" => "ale_og_enabled",
						"std" => "",
						"type" => "checkbox");
	
	$options[] = array( "name" => "Advanced Settings",
						"type" => "heading");
	
	$options[] = array( "name" => "Google Analytics",
						"desc" => "Please insert your Google Analytics code here. Example: <strong>UA-22231623-1</strong>",
						"id" => "ale_ga",
						"std" => "",
						"type" => "text");
	
	$options[] = array( "name" => "Footer Code",
						"desc" => "If you have anything else to add in the footer - please add it here.",
						"id" => "ale_footer_info",
						"std" => "",
						"type" => "textarea");

    $options[] = array( "name" => "Custom CSS Styles",
                        "desc" => "You can add here your styles. ex. .boxclass { padding:10px; }",
                        "id" => "ale_customcsscode",
                        "std" => "",
                        "type" => "textarea");

    $options[] = array( "name" => "Facilities",
                        "type" => "heading");

    $options[] = array( "name" => "Facilities item icon 1",
                        "desc" => "Upload the facilities item icon(max 50-50px).",
                        "id" => "ale_fac_icon1",
                        "std" => get_template_directory_uri().'/css/images/facilities1.png',
                        "type" => "upload");

    $options[] = array( "name" => "Facilities item title 1",
                        "desc" => "Insert the facilities item title.",
                        "id" => "ale_fac_title1",
                        "std" => "Restaurant",
                        "type" => "text");

    $options[] = array( "name" => "Facilities item description 1",
                        "desc" => "Insert the facilities item description.",
                        "id" => "ale_fac_desc1",
                        "std" => "Please fill in the description, at least three lines",
                        "type" => "textarea");

    $options[] = array( "name" => "Facilities item icon 2",
                        "desc" => "Upload the facilities item icon(max 50-50px).",
                        "id" => "ale_fac_icon2",
                        "std" => get_template_directory_uri().'/css/images/facilities2.png',
                        "type" => "upload");

    $options[] = array( "name" => "Facilities item title 2",
                        "desc" => "Insert the facilities item title.",
                        "id" => "ale_fac_title2",
                        "std" => "Revolving Cocktail bar",
                        "type" => "text");

    $options[] = array( "name" => "Facilities item description 2",
                        "desc" => "Insert the facilities item description.",
                        "id" => "ale_fac_desc2",
                        "std" => "Please fill in the description, at least three lines",
                        "type" => "textarea");

    $options[] = array( "name" => "Facilities item icon 3",
                        "desc" => "Upload the facilities item icon(max 50-50px).",
                        "id" => "ale_fac_icon3",
                        "std" => get_template_directory_uri().'/css/images/facilities3.png',
                        "type" => "upload");

    $options[] = array( "name" => "Facilities item title 3",
                        "desc" => "Insert the facilities item title.",
                        "id" => "ale_fac_title3",
                        "std" => "Free airport pick up service",
                        "type" => "text");

    $options[] = array( "name" => "Facilities item description 3",
                        "desc" => "Insert the facilities item description.",
                        "id" => "ale_fac_desc3",
                        "std" => "Please fill in the description, at least three lines",
                        "type" => "textarea");

    $options[] = array( "name" => "Facilities item icon 4",
                        "desc" => "Upload the facilities item icon(max 50-50px).",
                        "id" => "ale_fac_icon4",
                        "std" => get_template_directory_uri().'/css/images/facilities4.png',
                        "type" => "upload");

    $options[] = array( "name" => "Facilities item title 4",
                        "desc" => "Insert the facilities item title.",
                        "id" => "ale_fac_title4",
                        "std" => "Michelin star restaurant",
                        "type" => "text");

    $options[] = array( "name" => "Facilities item description 4",
                        "desc" => "Insert the facilities item description.",
                        "id" => "ale_fac_desc4",
                        "std" => "Please fill in the description, at least three lines",
                        "type" => "textarea");

    $options[] = array("name" => "Contacts option",
                        "type" => "heading");

    $options[] = array( "name" => "Phone number",
                        "desc" => "Insert phone number.",
                        "id" => "ale_con_phone",
                        "std" => "8 800 435-37-90",
                        "type" => "text");

    $options[] = array( "name" => "Adress",
                        "desc" => "Insert adress.",
                        "id" => "ale_con_adr",
                        "std" => "France, Marseille, Main street 53",
                        "type" => "text");

    $options[] = array( "name" => "Email",
                        "desc" => "Insert email.",
                        "id" => "ale_con_email",
                        "std" => "info@website.com",
                        "type" => "text");

    $options[] = array( "name" => "Contacts footer description for home page",
                        "desc" => "Insert description.",
                        "id" => "ale_con_fot_desc",
                        "std" => "",
                        "type" => "textarea");

    $options[] = array( "name" => "Plugin MailChimp for WP",
                        "desc" => "Check if the plugin is installed with needed attributes.",
                        "id" => "ale_subscribeinstall",
                        "std" => "0",
                        "type" => "checkbox");

    $options[] = array( "name" => "Styles for Forms MailChimp",
                        "desc" => "Select from the drop down list Load form styles? - The answer is No. ( MailChimp for WP -> Forms -> Load form styles? )",
                        "id" => "ale_subscribe_style",
                        "std" => "No",
                        "type" => "text");

    $options[] = array( "name" => "Code for Forms MailChimp -> Forms -> Form mark-up",
                        "desc" => htmlspecialchars("<label class='subscribe__lable'>Subscribe to our news:</label><input type='email' id='mc4wp_email' name='EMAIL' placeholder='E-mail' required class='subscribe__field'><button type='submit' class='btn btn_subscribe'>Subscribe</button>"),
                        "id" => "ale_subscribe_form",
                        "std" => "",
                        "type" => "description");

    $options[] = array( "name" => "Plugin zM Ajax Login & Register",
                        "desc" => "Check if the plugin is installed with needed attributes.",
                        "id" => "ale_login_register",
                        "std" => "0",
                        "type" => "checkbox");

    $options[] = array( "name" => "Link Login",
                        "desc" => "Visit the settings page from the WordPress Admin (Settings --> Ajax Login & Register). Paste the CSS class name in the appropriate field - 'Login Handle'.",
                        "id" => "ale_lr_login",
                        "std" => ".enter__item_login",
                        "type" => "text");

    $options[] = array( "name" => "Link Register",
                        "desc" => "Visit the settings page from the WordPress Admin (Settings --> Ajax Login & Register). Paste the CSS class name in the appropriate field - 'Register Handle'.",
                        "id" => "ale_lr_register",
                        "std" => ".enter__item_register",
                        "type" => "text");

    $options[] = array("name" => "Language option",
                        "type" => "heading");

    $options[] = array( "name" => "Multilingual Support",
                        "desc" => "Plugin is installed? Add your custom switcher code in the partials/lang.php file.",
                        "id" => "ale_language",
                        "std" => "0",
                        "type" => "checkbox");

    $options[] = array("name" => "Footer",
                        "type" => "heading");

    $options[] = array( "name" => "Left Menu Title",
                        "desc" => "Insert the left menu title",
                        "id" => "ale_left_footer_menu",
                        "std" => "Company Infomation",
                        "type" => "text");

    $options[] = array( "name" => "Center Menu Title",
                        "desc" => "Insert the center menu title",
                        "id" => "ale_center_footer_menu",
                        "std" => "Customer support",
                        "type" => "text");

    $options[] = array( "name" => "Right Menu Title",
                        "desc" => "Insert the right menu title",
                        "id" => "ale_right_footer_menu",
                        "std" => "Hotel top links",
                        "type" => "text");
	
	return $options;
}

/**
 * Add custom scripts to Options Page
 */
function aletheme_options_custom_scripts() {
 ?>

<script type="text/javascript">
jQuery(document).ready(function() {
    jQuery('#ale_commentongallery').click(function() {
        jQuery('#section-ale_gallerycomments_style').fadeToggle(400);
    });
    if (jQuery('#ale_commentongallery:checked').val() !== undefined) {
        jQuery('#section-ale_gallerycomments_style').show();
    }
});
</script>

<?php
}

/**
 * Add Metaboxes
 * @param array $meta_boxes
 * @return array 
 */
function aletheme_metaboxes($meta_boxes) {
	
	$meta_boxes = array();

    $prefix = "ale_";

    /*metaboxes for home page About Us*/
    $meta_boxes[] = array(
        'id'         => 'home_page_metabox',
        'title'      => 'Home Page Options',
        'pages'      => array( 'page', ), // Post type
        'context'    => 'normal',
        'priority'   => 'high',
        'show_names' => true, // Show field names on the left
        'show_on'    => array( 'key' => 'page-template', 'value' => array('page-home.php'), ), // Specific post templates to display this metabox
        'fields' => array(
            array(
                'name' => 'About Us Image',
                'desc' => 'Upload the image for About Us',
                'id'   => $prefix . 'ab_image',
                'type' => 'file',
            ),
            array(
                'name' => 'About Us description',
                'desc' => 'Insert the description About Us',
                'id'   => $prefix . 'ab_desc',
                'type' => 'textarea',
            ),
            array(
                'name' => 'First Description About Us',
                'desc' => 'Insert the text',
                'id'   => $prefix . 'ab_li1',
                'type' => 'text',
            ),
            array(
                'name' => 'Second Description About Us',
                'desc' => 'Insert the text',
                'id'   => $prefix . 'ab_li2',
                'type' => 'text',
            ),
            array(
                'name' => 'Third Description About Us',
                'desc' => 'Insert the text',
                'id'   => $prefix . 'ab_li3',
                'type' => 'text',
            ),
            array(
                'name' => 'Quote Image',
                'desc' => 'Upload the image for quote',
                'id'   => $prefix . 'ab_quote_img',
                'type' => 'file',
            ),
            array(
                'name' => 'First & Lastname Quote',
                'desc' => 'Insert the first & lastname',
                'id'   => $prefix . 'ab_quote_name',
                'type' => 'text',
            ),
            array(
                'name' => 'Post Quote',
                'desc' => 'Insert the post quote',
                'id'   => $prefix . 'ab_quote_post',
                'type' => 'text',
            ),
            array(
                'name' => 'Quote Description',
                'desc' => 'Insert the quote',
                'id'   => $prefix . 'ab_quote_desc',
                'type' => 'textarea',
            ),
        )
    );

    /*metaboxes for room page*/
    $meta_boxes[] = array(
        'id'         => 'room_page_metabox',
        'title'      => 'Room Page Options',
        'pages'      => array( 'room', ), // Post type
        'context'    => 'normal',
        'priority'   => 'high',
        'show_names' => true, // Show field names on the left
        //'show_on'    => array( 'key' => 'page-template', 'value' => array('page-home.php'), ), // Specific post templates to display this metabox
        'fields' => array(
            array(
                'name' => 'Price for room',
                'desc' => 'Insert the room price ( $ )',
                'id'   => $prefix . 'room_price',
                'type' => 'text',
            ),
            array(
                'name' => 'Available',
                'desc' => 'Checked room, if this available.',
                'id'   => $prefix . 'room_available',
                'std'  => '0',
                'type' => 'checkbox',
            ),
            array(
                'name' => 'High-speed Internet',
                'desc' => 'Checked, if there high-speed internet.',
                'id'   => $prefix . 'room_internet',
                'std'  => '0',
                'type' => 'checkbox',
            ),
            array(
                'name' => 'Hair dryer',
                'desc' => 'Checked, if there hair dryer.',
                'id'   => $prefix . 'room_hd',
                'std'  => '0',
                'type' => 'checkbox',
            ),
            array(
                'name' => 'Room service',
                'desc' => 'Checked, if there service room.',
                'id'   => $prefix . 'room_service',
                'std'  => '0',
                'type' => 'checkbox',
            ),
            array(
                'name' => 'Air conditioning',
                'desc' => 'Checked, if there air conditioning.',
                'id'   => $prefix . 'room_aircondition',
                'std'  => '0',
                'type' => 'checkbox',
            ),
            array(
                'name' => 'Petst allowed',
                'desc' => 'Checked, if petst allowed.',
                'id'   => $prefix . 'room_pa',
                'std'  => '0',
                'type' => 'checkbox',
            ),
            array(
                'name' => 'Free parking',
                'desc' => 'Checked, if there free parking.',
                'id'   => $prefix . 'room_frparking',
                'std'  => '0',
                'type' => 'checkbox',
            ),
            array(
                'name' => 'What rating?',
                'desc' => 'Please choose reeting.',
                'id'   => $prefix . 'room_rating',
                'std'  => '1',
                'type'    => 'select',
                'options' => array(
                    array( 'name' => 'One', 'value' => '1', ),
                    array( 'name' => 'Two', 'value' => '2', ),
                    array( 'name' => 'Three', 'value' => '3', ),
                    array( 'name' => 'Four', 'value' => '4', ),
                    array( 'name' => 'Five', 'value' => '5', ),
                ),
            ),
            array(
                'name' => 'First accordion title',
                'desc' => 'Insert the title',
                'id'   => $prefix . 'room_ac_tit1',
                'type' => 'text',
            ),
            array(
                'name' => 'First accordion description',
                'desc' => 'Insert the text',
                'id'   => $prefix . 'room_ac_desc1',
                'type' => 'textarea',
            ),
            array(
                'name' => 'First accordion title',
                'desc' => 'Insert the title',
                'id'   => $prefix . 'room_ac_tit2',
                'type' => 'text',
            ),
            array(
                'name' => 'First accordion description',
                'desc' => 'Insert the text',
                'id'   => $prefix . 'room_ac_desc2',
                'type' => 'textarea',
            ),
            array(
                'name' => 'First accordion title',
                'desc' => 'Insert the title',
                'id'   => $prefix . 'room_ac_tit3',
                'type' => 'text',
            ),
            array(
                'name' => 'First accordion description',
                'desc' => 'Insert the text',
                'id'   => $prefix . 'room_ac_desc3',
                'type' => 'textarea',
            ),
            array(
                'name' => 'First accordion title',
                'desc' => 'Insert the title',
                'id'   => $prefix . 'room_ac_tit4',
                'type' => 'text',
            ),
            array(
                'name' => 'First accordion description',
                'desc' => 'Insert the text',
                'id'   => $prefix . 'room_ac_desc4',
                'type' => 'textarea',
            ),
        )
    );

    /*metaboxes for post page*/
    $meta_boxes[] = array(
        'id'         => 'post_page_metabox',
        'title'      => 'Post Page Options',
        'pages'      => array( 'post', ), // Post type
        'context'    => 'normal',
        'priority'   => 'high',
        'show_names' => true, // Show field names on the left
        //'show_on'    => array( 'key' => 'page-template', 'value' => array('page-home.php'), ), // Specific post templates to display this metabox
        'fields' => array(
            array(
                'name' => 'Link for video post',
                'desc' => 'Insert the link for video',
                'id'   => $prefix . 'post_video',
                'type' => 'text',
            ),
        )
    );

    /*metaboxes for gallery page*/
    $meta_boxes[] = array(
        'id'         => 'gallery_page_metabox',
        'title'      => 'Gallery Page Options',
        'pages'      => array( 'gallery', ), // Post type
        'context'    => 'normal',
        'priority'   => 'high',
        'show_names' => true, // Show field names on the left
        //'show_on'    => array( 'key' => 'page-template', 'value' => array('page-home.php'), ), // Specific post templates to display this metabox
        'fields' => array(
            array(
                'name' => 'Link for video gallery',
                'desc' => 'Insert the link for video',
                'id'   => $prefix . 'gallery_video',
                'type' => 'text',
            ),
        )
    );

    $meta_boxes[] = array(
        'id'         => 'press_page_metabox',
        'title'      => 'Press Page Options',
        'pages'      => array( 'page', ), // Post type
        'context'    => 'normal',
        'priority'   => 'high',
        'show_names' => true, // Show field names on the left
        'show_on'    => array( 'key' => 'page-template', 'value' => array('template-press.php'), ), // Specific post templates to display this metabox
        'fields' => array(
            array(
                'name' => 'Press title #1',
                'desc' => 'Insert the title',
                'id'   => $prefix . 'presstit1',
                'type' => 'text',
            ),
            array(
                'name' => 'Press Thumb #1',
                'desc' => 'Insert the image (max-height - 280px)',
                'id'   => $prefix . 'pressthumb1',
                'type' => 'file',
            ),
            array(
                'name' => 'Press Image #1',
                'desc' => 'Insert the image or let it empty if you want to use a video.',
                'id'   => $prefix . 'pressimage1',
                'type' => 'file',
            ),
            array(
                'name' => 'Press Video link #1',
                'desc' => 'Insert the video or let it empty if you want to use an image. (Embed link - ex //www.youtube.com/embed/LtulTGxJdDc)',
                'id'   => $prefix . 'pressvideo1',
                'type' => 'text',
            ),

            array(
                'name' => 'Press title #2',
                'desc' => 'Insert the title',
                'id'   => $prefix . 'presstit2',
                'type' => 'text',
            ),
            array(
                'name' => 'Press Thumb #2',
                'desc' => 'Insert the image (max-height - 280px)',
                'id'   => $prefix . 'pressthumb2',
                'type' => 'file',
            ),
            array(
                'name' => 'Press Image #2',
                'desc' => 'Insert the image or let it empty if you want to use a video.',
                'id'   => $prefix . 'pressimage2',
                'type' => 'file',
            ),
            array(
                'name' => 'Press Video link #2',
                'desc' => 'Insert the video or let it empty if you want to use an image. (Embed link - ex //www.youtube.com/embed/LtulTGxJdDc)',
                'id'   => $prefix . 'pressvideo2',
                'type' => 'text',
            ),

            array(
                'name' => 'Press title #3',
                'desc' => 'Insert the title',
                'id'   => $prefix . 'presstit3',
                'type' => 'text',
            ),
            array(
                'name' => 'Press Thumb #3',
                'desc' => 'Insert the image (max-height - 280px)',
                'id'   => $prefix . 'pressthumb3',
                'type' => 'file',
            ),
            array(
                'name' => 'Press Image #3',
                'desc' => 'Insert the image or let it empty if you want to use a video.',
                'id'   => $prefix . 'pressimage3',
                'type' => 'file',
            ),
            array(
                'name' => 'Press Video link #3',
                'desc' => 'Insert the video or let it empty if you want to use an image. (Embed link - ex //www.youtube.com/embed/LtulTGxJdDc)',
                'id'   => $prefix . 'pressvideo3',
                'type' => 'text',
            ),

            array(
                'name' => 'Press title #4',
                'desc' => 'Insert the title',
                'id'   => $prefix . 'presstit4',
                'type' => 'text',
            ),
            array(
                'name' => 'Press Thumb #4',
                'desc' => 'Insert the image (max-height - 280px)',
                'id'   => $prefix . 'pressthumb4',
                'type' => 'file',
            ),
            array(
                'name' => 'Press Image #4',
                'desc' => 'Insert the image or let it empty if you want to use a video.',
                'id'   => $prefix . 'pressimage4',
                'type' => 'file',
            ),
            array(
                'name' => 'Press Video link #4',
                'desc' => 'Insert the video or let it empty if you want to use an image. (Embed link - ex //www.youtube.com/embed/LtulTGxJdDc)',
                'id'   => $prefix . 'pressvideo4',
                'type' => 'text',
            ),

            array(
                'name' => 'Press title #5',
                'desc' => 'Insert the title',
                'id'   => $prefix . 'presstit5',
                'type' => 'text',
            ),
            array(
                'name' => 'Press Thumb #5',
                'desc' => 'Insert the image (max-height - 280px)',
                'id'   => $prefix . 'pressthumb5',
                'type' => 'file',
            ),
            array(
                'name' => 'Press Image #5',
                'desc' => 'Insert the image or let it empty if you want to use a video.',
                'id'   => $prefix . 'pressimage5',
                'type' => 'file',
            ),
            array(
                'name' => 'Press Video link #5',
                'desc' => 'Insert the video or let it empty if you want to use an image. (Embed link - ex //www.youtube.com/embed/LtulTGxJdDc)',
                'id'   => $prefix . 'pressvideo5',
                'type' => 'text',
            ),

            array(
                'name' => 'Press title #6',
                'desc' => 'Insert the title',
                'id'   => $prefix . 'presstit6',
                'type' => 'text',
            ),
            array(
                'name' => 'Press Thumb #6',
                'desc' => 'Insert the image (max-height - 280px)',
                'id'   => $prefix . 'pressthumb6',
                'type' => 'file',
            ),
            array(
                'name' => 'Press Image #6',
                'desc' => 'Insert the image or let it empty if you want to use a video.',
                'id'   => $prefix . 'pressimage6',
                'type' => 'file',
            ),
            array(
                'name' => 'Press Video link #6',
                'desc' => 'Insert the video or let it empty if you want to use an image. (Embed link - ex //www.youtube.com/embed/LtulTGxJdDc)',
                'id'   => $prefix . 'pressvideo6',
                'type' => 'text',
            ),

            array(
                'name' => 'Press title #7',
                'desc' => 'Insert the title',
                'id'   => $prefix . 'presstit7',
                'type' => 'text',
            ),
            array(
                'name' => 'Press Thumb #7',
                'desc' => 'Insert the image (max-height - 280px)',
                'id'   => $prefix . 'pressthumb7',
                'type' => 'file',
            ),
            array(
                'name' => 'Press Image #7',
                'desc' => 'Insert the image or let it empty if you want to use a video.',
                'id'   => $prefix . 'pressimage7',
                'type' => 'file',
            ),
            array(
                'name' => 'Press Video link #7',
                'desc' => 'Insert the video or let it empty if you want to use an image. (Embed link - ex //www.youtube.com/embed/LtulTGxJdDc)',
                'id'   => $prefix . 'pressvideo7',
                'type' => 'text',
            ),

            array(
                'name' => 'Press title #8',
                'desc' => 'Insert the title',
                'id'   => $prefix . 'presstit8',
                'type' => 'text',
            ),
            array(
                'name' => 'Press Thumb #8',
                'desc' => 'Insert the image (max-height - 280px)',
                'id'   => $prefix . 'pressthumb8',
                'type' => 'file',
            ),
            array(
                'name' => 'Press Image #8',
                'desc' => 'Insert the image or let it empty if you want to use a video.',
                'id'   => $prefix . 'pressimage8',
                'type' => 'file',
            ),
            array(
                'name' => 'Press Video link #8',
                'desc' => 'Insert the video or let it empty if you want to use an image. (Embed link - ex //www.youtube.com/embed/LtulTGxJdDc)',
                'id'   => $prefix . 'pressvideo8',
                'type' => 'text',
            ),

            array(
                'name' => 'Press title #9',
                'desc' => 'Insert the title',
                'id'   => $prefix . 'presstit9',
                'type' => 'text',
            ),
            array(
                'name' => 'Press Thumb #9',
                'desc' => 'Insert the image (max-height - 280px)',
                'id'   => $prefix . 'pressthumb9',
                'type' => 'file',
            ),
            array(
                'name' => 'Press Image #9',
                'desc' => 'Insert the image or let it empty if you want to use a video.',
                'id'   => $prefix . 'pressimage9',
                'type' => 'file',
            ),
            array(
                'name' => 'Press Video link #9',
                'desc' => 'Insert the video or let it empty if you want to use an image. (Embed link - ex //www.youtube.com/embed/LtulTGxJdDc)',
                'id'   => $prefix . 'pressvideo9',
                'type' => 'text',
            ),

            array(
                'name' => 'Press title #10',
                'desc' => 'Insert the title',
                'id'   => $prefix . 'presstit10',
                'type' => 'text',
            ),
            array(
                'name' => 'Press Thumb #10',
                'desc' => 'Insert the image (max-height - 280px)',
                'id'   => $prefix . 'pressthumb10',
                'type' => 'file',
            ),
            array(
                'name' => 'Press Image #10',
                'desc' => 'Insert the image or let it empty if you want to use a video.',
                'id'   => $prefix . 'pressimage10',
                'type' => 'file',
            ),
            array(
                'name' => 'Press Video link #10',
                'desc' => 'Insert the video or let it empty if you want to use an image. (Embed link - ex //www.youtube.com/embed/LtulTGxJdDc)',
                'id'   => $prefix . 'pressvideo10',
                'type' => 'text',
            ),
        )
    );


    $meta_boxes[] = array(
        'id'         => 'aboutslider_page_metabox',
        'title'      => 'About Page Options',
        'pages'      => array( 'page', ), // Post type
        'context'    => 'normal',
        'priority'   => 'high',
        'show_names' => true, // Show field names on the left
        'show_on'    => array( 'key' => 'page-template', 'value' => array('template-about.php'), ), // Specific post templates to display this metabox
        'fields' => array(
            array(
                'name' => 'First member Name',
                'desc' => 'Insert member name...',
                'id'   => $prefix . 'memname1',
                'type'    => 'text',
            ),
            array(
                'name' => 'Second member Name',
                'desc' => 'Insert member name...',
                'id'   => $prefix . 'memname2',
                'type'    => 'text',
            ),
            array(
                'name' => 'Third member Name',
                'desc' => 'Insert member name...',
                'id'   => $prefix . 'memname3',
                'type'    => 'text',
            ),
            array(
                'name' => 'Fourth member Name',
                'desc' => 'Insert member name...',
                'id'   => $prefix . 'memname4',
                'type'    => 'text',
            ),
            array(
                'name' => 'First member Prof',
                'desc' => 'Insert member prof...',
                'id'   => $prefix . 'memprof1',
                'type'    => 'text',
            ),
            array(
                'name' => 'Second member Prof',
                'desc' => 'Insert member prof...',
                'id'   => $prefix . 'memprof2',
                'type'    => 'text',
            ),
            array(
                'name' => 'Third member Prof',
                'desc' => 'Insert member prof...',
                'id'   => $prefix . 'memprof3',
                'type'    => 'text',
            ),
            array(
                'name' => 'Fourth member Prof',
                'desc' => 'Insert member prof...',
                'id'   => $prefix . 'memprof4',
                'type'    => 'text',
            ),
            array(
                'name' => 'First member FB link',
                'desc' => 'Insert member FB link...',
                'id'   => $prefix . 'memfb1',
                'type'    => 'text',
            ),
            array(
                'name' => 'Second member FB link',
                'desc' => 'Insert member FB link...',
                'id'   => $prefix . 'memfb2',
                'type'    => 'text',
            ),
            array(
                'name' => 'Third member FB link',
                'desc' => 'Insert member FB link...',
                'id'   => $prefix . 'memfb3',
                'type'    => 'text',
            ),
            array(
                'name' => 'fourth member FB link',
                'desc' => 'Insert member FB link...',
                'id'   => $prefix . 'memfb4',
                'type'    => 'text',
            ),
            array(
                'name' => 'First member TW link',
                'desc' => 'Insert member TW link...',
                'id'   => $prefix . 'memtw1',
                'type'    => 'text',
            ),
            array(
                'name' => 'Second member TW link',
                'desc' => 'Insert member TW link...',
                'id'   => $prefix . 'memtw2',
                'type'    => 'text',
            ),
            array(
                'name' => 'Third member TW link',
                'desc' => 'Insert member TW link...',
                'id'   => $prefix . 'memtw3',
                'type'    => 'text',
            ),
            array(
                'name' => 'Fourth member TW link',
                'desc' => 'Insert member TW link...',
                'id'   => $prefix . 'memtw4',
                'type'    => 'text',
            ),
            array(
                'name' => 'First member Email',
                'desc' => 'Insert member email...',
                'id'   => $prefix . 'memem1',
                'type'    => 'text',
            ),
            array(
                'name' => 'Second member Email',
                'desc' => 'Insert member email...',
                'id'   => $prefix . 'memem2',
                'type'    => 'text',
            ),
            array(
                'name' => 'Third member Email',
                'desc' => 'Insert member email...',
                'id'   => $prefix . 'memem3',
                'type'    => 'text',
            ),
            array(
                'name' => 'Fourth member Email',
                'desc' => 'Insert member email...',
                'id'   => $prefix . 'memem4',
                'type'    => 'text',
            ),
            array(
                'name' => 'First member Description',
                'desc' => 'Insert member description...',
                'id'   => $prefix . 'memdesc1',
                'type'    => 'wysiwyg',
            ),
            array(
                'name' => 'Second member Description',
                'desc' => 'Insert member description...',
                'id'   => $prefix . 'memdesc2',
                'type'    => 'wysiwyg',
            ),
            array(
                'name' => 'Third member Description',
                'desc' => 'Insert member description...',
                'id'   => $prefix . 'memdesc3',
                'type'    => 'wysiwyg',
            ),
            array(
                'name' => 'Fourth member Description',
                'desc' => 'Insert member description...',
                'id'   => $prefix . 'memdesc4',
                'type'    => 'wysiwyg',
            ),
            array(
                'name' => 'First member avatar',
                'desc' => 'Insert member avatar...',
                'id'   => $prefix . 'memava1',
                'type'    => 'file',
            ),
            array(
                'name' => 'Second member avatar',
                'desc' => 'Insert member avatar...',
                'id'   => $prefix . 'memava2',
                'type'    => 'file',
            ),
            array(
                'name' => 'Third member avatar',
                'desc' => 'Insert member avatar...',
                'id'   => $prefix . 'memava3',
                'type'    => 'file',
            ),
            array(
                'name' => 'Fourth member avatar',
                'desc' => 'Insert member avatar...',
                'id'   => $prefix . 'memava4',
                'type'    => 'file',
            ),
        )
    );

	return $meta_boxes;
}

/**
 * Get image sizes for images
 * 
 * @return array
 */
function aletheme_get_images_sizes() {
	return array(

        'gallery' => array(
            array(
                'name'      => 'gallery-width-thumba',
                'width'     => 316,
                'height'    => 122,
                'crop'      => true,
            ),
            array(
                'name'      => 'gallery-height-thumba',
                'width'     => 158,
                'height'    => 244,
                'crop'      => true,
            ),
            array(
                'name'      => 'gallery-mini-thumba',
                'width'     => 158,
                'height'    => 122,
                'crop'      => true,
            ),
            array(
                'name'      => 'gallery-big-thumba',
                'width'     => 699,
                'height'    => 316,
                'crop'      => true,
            ),
        ),
        'post' => array(
            array(
                'name'      => 'post-big-thumba',
                'width'     => 480,
                'height'    => 316,
                'crop'      => true,
            ),
            array(
                'name'      => 'post-small-thumba',
                'width'     => 240,
                'height'    => 158,
                'crop'      => true,
            ),
            array(
                'name'      => 'post-high-thumba',
                'width'     => 240,
                'height'    => 316,
                'crop'      => true,
            ),
            array(
                'name'      => 'post-item-thumba',
                'width'     => 699,
                'height'    => 316,
                'crop'      => true,
            ),
        ),
        'event' => array(
            array(
                'name'      => 'event-high-thumba',
                'width'     => 175,
                'height'    => 213,
                'crop'      => true,
            ),
            array(
                'name'      => 'event-item-thumba',
                'width'     => 699,
                'height'    => 316,
                'crop'      => true,
            ),
        ),
        'testimonial' => array(
            array(
                'name'      => 'testimonial-thumba',
                'width'     => 107,
                'height'    => 107,
                'crop'      => true,
            ),
        ),
        'room' => array(
            array(
                'name'      => 'room-thumba1',
                'width'     => 175,
                'height'    => 213,
                'crop'      => true,
            ),
            array(
                'name'      => 'room-thumba2',
                'width'     => 698,
                'height'    => 315,
                'crop'      => true,
            ),
            array(
                'name'      => 'room-thumba3',
                'width'     => 435,
                'height'    => 316,
                'crop'      => true,
            ),
        ),
        'page' => array(
            array(
                'name'      => 'page-thumba',
                'width'     => 450,
                'height'    => 151,
                'crop'      => true,
            ),
        ),
    );
}

/**
 * Add post types that are used in the theme 
 * 
 * @return array
 */
function aletheme_get_post_types() {
	return array(
        'gallery' => array(
            'config' => array(
                'public' => true,
                'menu_position' => 20,
                'has_archive'   => true,
                'supports'=> array(
                    'title',
                    'editor',
                    'thumbnail',
                    'comments',
                ),
                'show_in_nav_menus'=> true,
            ),
            'singular' => 'Gallery',
            'multiple' => 'Galleries',
            'columns'    => array(
                'first_image',
            )
        ),
        'room' => array(
            'config' => array(
                'public' => true,
                'menu_position' => 20,
                'has_archive'   => true,
                'supports'=> array(
                    'title',
                    'editor',
                    'thumbnail',
                ),
                'show_in_nav_menus'=> true,
            ),
            'singular' => 'Room',
            'multiple' => 'Rooms',
            'columns'    => array(
                'first_image',
            )
        ),
        'event' => array(
            'config' => array(
                'public' => true,
                'menu_position' => 20,
                'has_archive'   => true,
                'supports'=> array(
                    'title',
                    'editor',
                    'thumbnail',
                    'comments',
                ),
                'show_in_nav_menus'=> true,
            ),
            'singular' => 'Event',
            'multiple' => 'Events',
            'columns'    => array(
                'first_image',
            )
        ),
        'testimonial' => array(
            'config' => array(
                'public' => true,
                'menu_position' => 20,
                'has_archive'   => true,
                'supports'=> array(
                    'title',
                    'editor',
                    'thumbnail',
                ),
                'show_in_nav_menus'=> true,
            ),
            'singular' => 'Testimonial',
            'multiple' => 'Testimonials',
            'columns'    => array(
                'first_image',
            )
        ),
    );
}

/**
 * Add taxonomies that are used in theme
 * 
 * @return array
 */
function aletheme_get_taxonomies() {
	return array(

        'gallery-category'    => array(
            'for'        => array('gallery'),
            'config'    => array(
                'sort'        => true,
                'args'        => array('orderby' => 'term_order'),
                'hierarchical' => true,
            ),
            'singular'    => 'Gallery Category',
            'multiple'    => 'Gallery Categories',
        ),

        'room-rooms'    => array(
            'for'        => array('room'),
            'config'    => array(
                'sort'        => true,
                'args'        => array('orderby' => 'term_order'),
                'hierarchical' => true,
            ),
            'singular'    => 'Rooms',
            'multiple'    => 'Rooms',
        ),

        'room-references'    => array(
            'for'        => array('room'),
            'config'    => array(
                'sort'        => true,
                'args'        => array('orderby' => 'term_order'),
                'hierarchical' => true,
            ),
            'singular'    => 'Preferences',
            'multiple'    => 'Preferences',
        ),
    );
}

/**
 * Add post formats that are used in theme
 * 
 * @return array
 */
function aletheme_get_post_formats() {
	return array();
}

/**
 * Get sidebars list
 * 
 * @return array
 */
function aletheme_get_sidebars() {
	$sidebars = array();
	return $sidebars;
}

/**
 * Predefine custom sliders
 * @return array
 */
function aletheme_get_sliders() {
	return array(
		'sneak-peek' => array(
			'title'		=> 'Sneak Peek',
		),
	);
}

/**
 * Post types where metaboxes should show
 * 
 * @return array
 */
function aletheme_get_post_types_with_gallery() {
	return array('gallery','room');
}

/**
 * Add custom fields for media attachments
 * @return array
 */
function aletheme_media_custom_fields() {
	return array();
}