<?php

function ale_room_filter($data){

    if(isset($data['price_down'])){ $price_down = substr($data['price_down'],1); }
    if(isset($data['price_up'])){ $price_up = substr($data['price_up'],1); }
    if(isset($data['submit_home']) & isset($data['home_rooms'])){
        $args = array(
            'posts_per_page' => -1,
            'post_type' => 'room',
            'tax_query' => array(
                'relation' => 'AND',
                array(
                    'taxonomy' => 'room-rooms',
                    'terms' => array( $data['home_rooms'] )
                )
            )
        );
    } elseif(isset($data['rooms_count']) & isset($data['references']) & isset($price_down) & isset($price_up) & isset($data['room_rating'])) {
        $args = array(
            'posts_per_page' => -1,
            'post_type' => 'room',
            'tax_query' => array(
                'relation' => 'AND',
                array(
                    'taxonomy' => 'room-rooms',
                    'terms' => array( $data['rooms_count'] )
                ),
                array(
                    'taxonomy' => 'room-references',
                    'terms' => array( $data['references'] )
                ),
            ),
            'meta_query' => array(
                'relation' => 'AND',
                array(
                    'key' => 'ale_room_price',
                    'value' => array( $price_down, $price_up ),
                    'type' => 'numeric',
                    'compare' => 'BETWEEN'
                ),
                array(
                    'key' => 'ale_room_rating',
                    'value' => $data['room_rating'],
                    'type' => 'numeric',
                    'compare' => '='
                )
            ),

        );
    }

    if(isset($args)) {
        $query = new WP_Query( $args );

    if ( $query->have_posts() ) { $count='';
        while ( $query->have_posts() ) { $query->the_post(); $count++; ?>

            <li class="room <?php if($count % 4 == '0') { echo 'room_last'; } ?>">
                <div class="room__thumb">
                    <?php if(get_the_post_thumbnail($query->post->ID,'room-thumba1')){echo get_the_post_thumbnail($query->post->ID,'room-thumba1');}else{echo '<img src="http://placehold.it/175x213&text=No Thumb">';} ?>
                    <div class="room__overText"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></div>
                </div>
                <div class="room__entry">
                    <p><?php trim_content_chars(100,'...') ?></p>
                </div>
                <footer class="room__details">
                    <?php if(ale_get_meta('room_price')!='') { ?>
                        <div class="room__price">$ <span><?php echo ale_get_meta('room_price'); ?></span></div>
                    <?php } ?>
                    <a href="<?php the_permalink(); ?>" class="btn"><?php _e('Book','aletheme'); ?></a>
                </footer>
            </li>
            <?php if($count % 4 == '0') { ?>
                <li class="room_line"></li>
            <?php } ?>

        <?php } } else {
        ale_part('notfound');
        }
    }
} ?>