<?php get_header(); ?>

    <div class="filters">
        <div class="container cf">
            <div class="filterList">
                <form method="post" action="<?php echo home_url('/room');  ?>">
                    <div class="filter filter_rating">
                        <h1 class="filter__title"><?php _e('Rating','aletheme'); ?>:</h1>
                        <div class="filter__entry">
                            <ul class="rating">
                                <?php $rating = ale_get_meta('room_rating');
                                for($i=1; $i<=5; $i++) { ?>
                                    <li class="rating__item">
                                        <a name="#" class="rating__icon <?php if($i=='1') { echo 'active'; } ?>" data-id="<?php echo $i; ?>"></a>
                                    </li>
                                <?php } ?>
                                <input type="hidden" name="room_rating" value="1" id="room_rating">
                            </ul>
                        </div>
                    </div>

                    <div class="filter filter_rooms">
                        <h1 class="filter__title"><?php _e('Rooms','aletheme'); ?>:</h1>
                        <div class="filter__entry">
                            <select class="insFilterSelect" name="rooms_count">
                                <?php
                                $rooms = get_terms('room-rooms');
                                foreach($rooms as $room) { ?>
                                    <option value="<?php echo $room->term_id; ?>" class="insFilterSelect__item"><?php echo $room->name; ?></option>
                                <?php } ?>
                            </select>
                        </div>
                    </div>

                    <div class="filter filter_preferences">
                        <h1 class="filter__title"><?php _e('Preferences','aletheme'); ?>:</h1>
                        <div class="filter__entry">
                            <select class="insFilterSelect" name="references">
                                <?php
                                $references = get_terms('room-references');
                                foreach($references as $refer) { ?>
                                    <option value="<?php echo $refer->term_id; ?>" class="insFilterSelect__item"><?php echo $refer->name; ?></option>
                                <?php } ?>
                            </select>
                        </div>
                    </div>

                    <div class="filter filter_price">
                        <h1 class="filter__title"><?php _e('Price','aletheme'); ?>:</h1>
                        <div class="filter__entry">
                            <div class="sliderRange">
                                <input type="text" name="price_down" class="sliderRange__amount sliderRange__amount_first">
                                <div class="sliderRange__scale"></div>
                                <input type="text" name="price_up" class="sliderRange__amount sliderRange__amount_last">
                            </div>
                        </div>
                    </div>

                    <div class="filter filter_btn">
                        <div class="filter__entry">
                            <input type="submit" name="submit" class="btn" value="<?php _e('Filter','aletheme'); ?>">
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
    <!-- END: FILTERS -->

    <div class="container">
    <div class="wrapper">
        <h1 class="title_main text-center"><?php _e('Rooms','aletheme'); ?></h1>
        <ul class="rooms rooms_secondType">
            <?php if(isset($_POST['submit_home']) || isset($_POST['submit'])){
                //Call the filter function
                ale_room_filter($_POST);
            } else {
                global $query_string; query_posts($query_string.'&post_type=room&posts_per_page=12'); if (have_posts()) : $count=''; while (have_posts()) : the_post(); $count++; ?>
                    <li class="room <?php if($count % 4 == '0') { echo 'room_last'; } ?>">
                        <div class="room__thumb">
                            <?php if(get_the_post_thumbnail($post->ID,'room-thumba1')){echo get_the_post_thumbnail($post->ID,'room-thumba1');}else{echo '<img src="http://placehold.it/175x213">';} ?>
                            <div class="room__overText"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></div>
                        </div>
                        <div class="room__entry">
                            <p><?php trim_content_chars(100,'...') ?></p>
                        </div>
                        <footer class="room__details">
                            <?php if(ale_get_meta('room_price')!='') { ?>
                                <div class="room__price">$ <span><?php echo ale_get_meta('room_price'); ?></span></div>
                            <?php } ?>
                            <a href="<?php the_permalink(); ?>" class="btn"><?php _e('Book','aletheme'); ?></a>
                        </footer>
                    </li>
                    <?php if($count % 4 == '0' & $count <= '8') { ?>
                        <li class="room_line"></li>
                    <?php } ?>
                <?php endwhile; else: ?>
                    <?php ale_part('notfound')?>
                <?php endif;  ?>
            <?php } ?>
        </ul>
    </div>
    <?php if(isset($_POST['submit_home']) || isset($_POST['submit'])) { ?>
        <nav class="pagination"></nav>
    <?php } else { ?>
        <nav class="pagination">
            <?php if (function_exists('wp_corenavi')) wp_corenavi(); ?>
        </nav>
    <?php } ?>
    <!-- END: insPagination -->
    </div>

<?php get_footer(); ?>