<?php
/* Template name: Home */
get_header(); ?>

    <!-- Slider index page -->
    <?php if(ale_get_option('homeslugfull') != '') { ?>
    <div class="mainSlider">
        <ul class="insMainSlider cf">
            <?php $slider = ale_sliders_get_slider(ale_get_option('homeslugfull')); ?>
            <?php if($slider):?>
                <?php foreach ($slider['slides'] as $slide) : ?>
                    <li class="insMainSlider__item" style="background: url('<?php echo $slide['image'] ?>') no-repeat;">
                        <div class="container">
                            <div class="slider__column">
                                <div class="sliderTitle">
                                    <h1 class="sliderTitle__titl sliderTitle__item"><?php echo $slide['title']; ?></h1><br>
                                    <h2 class="sliderTitle__desc sliderTitle__item"><?php echo $slide['description']; ?></h2>
                                </div>
                                <a href="<?php echo $slide['url']; ?>" class="btn" target="_blank"><?php _e('Read More','aletheme'); ?></a>
                            </div>
                            <div class="slider__column">
                                <form class="form" method="post" action="<?php echo home_url('/room'); ?>">
                                    <header class="form__header">
                                        <h1 class="form__title"><span><?php _e('Book','aletheme'); ?></span> <?php _e('your room','aletheme'); ?></h1>
                                    </header>
                                    <fieldset class="form__body">
                                        <div class="form__row">
                                            <div class="form__item">
                                                <label class="form__label"><?php _e('Select your room','aletheme'); ?>:</label>
                                                <select class="form__field" name="home_rooms">
                                                    <?php
                                                    $rooms = get_terms('room-rooms');
                                                    foreach($rooms as $room) { ?>
                                                        <option value="<?php echo $room->term_id; ?>" class="insFilterSelect__item"><?php echo $room->name; ?></option>
                                                    <?php } ?>
                                                </select>
                                            </div>

                                            <div class="form__item">
                                                <label class="form__label"><?php _e('Day you will arrived','aletheme'); ?>:</label>
                                                <input type="text" class="form__field form__field_calendar datepicker">
                                            </div>
                                        </div>

                                        <div class="form__row">
                                            <div class="form__item">
                                                <label class="form__label"><?php _e('Departure day','aletheme'); ?>:</label>
                                                <input type="text" class="form__field form__field_calendar
                                                    datepickerSecond">
                                            </div>
                                            <input type="submit" name="submit_home" value="<?php _e('Book','aletheme'); ?>" class="btn btn_form">
                                        </div>
                                    </fieldset>
                                </form>
                                <!-- END: FORM -->
                            </div>
                        </div>
                    </li>
                <?php endforeach; ?>
            <?php endif;?>
        </ul>
    </div>
    <?php } ?>

    <div class="facilities">
        <div class="container cf">
            <ul class="insFacilities">
                <li class="insFacilities__item">
                    <i class="insFacilities__icon insFacilities__icon_restaurant" <?php if(ale_get_option('fac_icon1') != '') { ?>style="background: url(<?php echo ale_get_option('fac_icon1'); ?>) no-repeat left bottom;" <?php } ?>></i>
                    <h1 class="insFacilities__title"><?php echo ale_get_option('fac_title1'); ?></h1>
                    <p><?php echo ale_get_option('fac_desc1'); ?></p>
                </li>
                <li class="insFacilities__item">
                    <i class="insFacilities__icon insFacilities__icon_cocktailBar" <?php if(ale_get_option('fac_icon2') != '') { ?>style="background: url(<?php echo ale_get_option('fac_icon2'); ?>) no-repeat left bottom;" <?php } ?>></i>
                    <h1 class="insFacilities__title"><?php echo ale_get_option('fac_title2'); ?></h1>
                    <p><?php echo ale_get_option('fac_desc2'); ?></p>
                </li>
                <li class="insFacilities__item">
                    <i class="insFacilities__icon insFacilities__icon_airport" <?php if(ale_get_option('fac_icon3') != '') { ?>style="background: url(<?php echo ale_get_option('fac_icon3'); ?>) no-repeat left bottom;" <?php } ?>></i>
                    <h1 class="insFacilities__title"><?php echo ale_get_option('fac_title3'); ?></h1>
                    <p><?php echo ale_get_option('fac_desc3'); ?></p>
                </li>
                <li class="insFacilities__item">
                    <i class="insFacilities__icon insFacilities__icon_star" <?php if(ale_get_option('fac_icon4') != '') { ?>style="background: url(<?php echo ale_get_option('fac_icon4'); ?>) no-repeat left bottom;" <?php } ?>></i>
                    <h1 class="insFacilities__title"><?php echo ale_get_option('fac_title4'); ?></h1>
                    <p><?php echo ale_get_option('fac_desc4'); ?></p>
                </li>
            </ul>
        </div>
    </div>
    <!-- END: FACILITIES -->

    <div class="container">
        <div class="wrapper cf">
            <aside class="events_home">
                <h1 class="title title_size_big title_family_raleway"><?php _e('Events','aletheme'); ?></h1>

                <div class="posts">
                    <?php query_posts('post_type=event&posts_per_page=3&orderby=rand'); if (have_posts()) : while (have_posts()) : the_post(); ?>
                    <article class="post">
                        <header class="post__header">
                            <time datetime="2014-09-25" class="post__date"><?php echo get_the_date('d M Y'); ?></time>
                            <h1 class="post__title">
                                <a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
                            </h1>
                        </header>
                        <p><?php trim_content_chars(85,'...') ?></p>
                    </article>
                    <?php endwhile; else: ?>
                        <?php ale_part('notfound')?>
                    <?php endif; wp_reset_query(); ?>
                </div>

                <a href="<?php echo home_url('/event'); ?>" class="btn"><?php _e('Read more','aletheme'); ?></a>
            </aside>
            <!-- END: EVENTS -->

            <?php $count = query_posts('post_type=testimonial&posts_per_page=-1');
            $prov_count = count($count);
            if($prov_count != '0') { ?>
            <aside class="revie">
                <h1 class="title title_size_big title_family_raleway"><?php _e('Reviews','aletheme'); ?></h1>
                <div class="people">
                    <ul class="insPeople">
                        <?php query_posts('post_type=testimonial&posts_per_page=-1&orderby=rand'); if (have_posts()) : while (have_posts()) : the_post(); ?>
                        <li class="insPeople__item">
                            <div class="insPeople__photo">
                                <?php if(get_the_post_thumbnail($post->ID,'testimonial-thumba')){echo get_the_post_thumbnail($post->ID,'testimonial-thumba');}else{echo '<img src="http://placehold.it/107x107">';} ?>
                            </div>
                            <div class="insPeople__details">
                                <h3 class="insPeople__name"><?php the_title(); ?></h3>
                                <time datetime="2014-09-25" class="insPeople__date"><?php echo get_the_date('d M Y'); ?></time>
                            </div>
                            <p><?php trim_content_chars(340,'...') ?></p>
                        </li>
                        <?php endwhile; else: ?>
                            <?php ale_part('notfound')?>
                        <?php endif; wp_reset_query(); ?>
                    </ul>
                </div>
            </aside>
            <!-- END: REVIE -->
            <?php } ?>

            <div class="about">
                <h1 class="title title_size_big title_family_raleway"><?php _e('About Us','aletheme'); ?></h1>
                    <img src="<?php if(ale_get_meta('ab_image')!='') { echo ale_get_meta('ab_image'); } else { echo 'http://placehold.it/450x151'; } ?>">
                <p><?php echo ale_get_meta('ab_desc'); ?></p>

                <ul class="markList">
                    <?php if(ale_get_meta('ab_li1')!='') { ?>
                    <li class="markList__item">
                        <i class="markList__icon"></i>
                        <?php echo ale_get_meta('ab_li1'); ?>
                    </li>
                    <?php } ?>
                    <?php if(ale_get_meta('ab_li2')!='') { ?>
                        <li class="markList__item">
                            <i class="markList__icon"></i>
                            <?php echo ale_get_meta('ab_li2'); ?>
                        </li>
                    <?php } ?>
                    <?php if(ale_get_meta('ab_li3')!='') { ?>
                        <li class="markList__item">
                            <i class="markList__icon"></i>
                            <?php echo ale_get_meta('ab_li3'); ?>
                        </li>
                    <?php } ?>
                </ul>
            </div>
            <!-- END: ABOUT -->
        </div>
        <!-- END: CONTENT -->
    </div>

    <?php if(ale_get_meta('ab_quote_desc') != '') { ?>
    <div class="quote">
        <div class="container cf">
            <figure class="quote__people">
                <div class="quote__photo">
                    <img src="<?php if(ale_get_meta('ab_quote_img')!='') { echo ale_get_meta('ab_quote_img'); } else { echo 'http://placehold.it/106x106'; } ?>">
                </div>
                <figcaption class="quote__details">
                    <h3 class="quote__name"><?php echo ale_get_meta('ab_quote_name'); ?></h3>
                    <div class="quote__prof"><?php echo ale_get_meta('ab_quote_post'); ?></div>
                </figcaption>
            </figure>

            <blockquote class="quote__text">
                <p><?php echo ale_get_meta('ab_quote_desc'); ?></p>
            </blockquote>
        </div>
    </div>
    <?php } ?>
    <!-- END: WRAP QUOTE -->

    <header class="roomsHeader">
        <div class="container cf">
            <h1 class="roomsTitle"><?php _e('Hotel','aletheme'); ?><span><?php _e('rooms','aletheme'); ?></span></h1>
            <?php $result = count(query_posts('post_type=room&posts_per_page=-1')); ?>
            <div class="freeRooms"><?php _e('Total rooms','aletheme'); ?>: <span><strong><?php echo $result; ?></strong></span></div>
        </div>
    </header>

    <div class="container cf">
        <ul class="rooms">
            <?php query_posts('post_type=room&posts_per_page=4&orderby=rand'); if (have_posts()) : while (have_posts()) : the_post(); ?>
            <li class="room">
                <div class="room__thumb">
                    <?php if(get_the_post_thumbnail($post->ID,'room-thumba1')){echo get_the_post_thumbnail($post->ID,'room-thumba1');}else{echo '<img src="http://placehold.it/175x213">';} ?>
                    <div class="room__overText"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></div>
                </div>
                <div class="room__entry">
                    <p><?php trim_content_chars(100,'...') ?></p>
                </div>
                <footer class="room__details">
                    <?php if(ale_get_meta('room_price')!='') { ?>
                        <div class="room__price">$ <span><?php echo ale_get_meta('room_price'); ?></span></div>
                    <?php } ?>
                    <a href="<?php the_permalink(); ?>" class="btn"><?php _e('Book','aletheme'); ?></a>
                </footer>
            </li>
            <?php endwhile; else: ?>
                <?php ale_part('notfound')?>
            <?php endif; wp_reset_query(); ?>
        </ul>
    </div>
    <!-- END: ROOMS -->

    <div class="gallery_container">
        <ul class="gallery_home">
            <?php query_posts('post_type=gallery&posts_per_page=20&orderby=rand'); if (have_posts()) : $count=''; while (have_posts()) : the_post(); $count++; ?>
            <li class="gallery__item <?php
            if($count == '1') {
                echo ('gallery__item_width');
            } elseif ($count == '7') {
                echo ('gallery__item_width');
            } elseif ($count == '16') {
                echo ('gallery__item_width');
            } elseif ($count == '3') {
                echo ('gallery__item_height');
            } elseif ($count == '5') {
                echo ('gallery__item_height');
            }
            ?>">
                <figure class="gallery__photo">
                    <?php
                    if($count == '1') {
                        if(get_the_post_thumbnail($post->ID,'gallery-width-thumba')){echo get_the_post_thumbnail($post->ID,'gallery-width-thumba');}else{echo '<img src="http://placehold.it/316x122">';}
                    } elseif ($count == '7') {
                        if(get_the_post_thumbnail($post->ID,'gallery-width-thumba')){echo get_the_post_thumbnail($post->ID,'gallery-width-thumba');}else{echo '<img src="http://placehold.it/316x122">';}
                    } elseif ($count == '15') {
                        if(get_the_post_thumbnail($post->ID,'gallery-width-thumba')){echo get_the_post_thumbnail($post->ID,'gallery-width-thumba');}else{echo '<img src="http://placehold.it/316x122">';}
                    } elseif ($count == '3') {
                        if(get_the_post_thumbnail($post->ID,'gallery-height-thumba')){echo get_the_post_thumbnail($post->ID,'gallery-height-thumba');}else{echo '<img src="http://placehold.it/158x244">';}
                    } elseif ($count == '5') {
                        if(get_the_post_thumbnail($post->ID,'gallery-height-thumba')){echo get_the_post_thumbnail($post->ID,'gallery-height-thumba');}else{echo '<img src="http://placehold.it/158x244">';}
                    } elseif ($count) {
                        if(get_the_post_thumbnail($post->ID,'gallery-mini-thumba')){echo get_the_post_thumbnail($post->ID,'gallery-mini-thumba');}else{echo '<img src="http://placehold.it/158x122">';}
                    }
                    ?>
                    <figcaption class="gallery__over">
                        <a href="<?php the_permalink(); ?>" class="btn btn_over"><?php _e('More','aletheme'); ?></a>
                    </figcaption>
                </figure>
            </li>
            <?php endwhile; else: ?>
                <?php ale_part('notfound')?>
            <?php endif; wp_reset_query(); ?>
        </ul>
    </div>
    <!-- END: GALLERY -->

<?php get_footer(); ?>