<?php 
/**
 * Template Name: Template Contact
 **/
// send contact

if (isset($_POST['contact'])) {
	$error = ale_send_contact($_POST['contact']);
}
get_header(); ?>

    <nav class="breadcrumb">
        <div class="container">
            <ul class="insBreadcrumb">
                <?php echo get_breadcrumbs(); ?>
            </ul>
        </div>
    </nav>
    <!-- END: BREADCRUMB -->

    <div class="container">
        <div class="wrapper cf">
            <div class="contact_text">
                <h1 class="title_main text-center"><?php the_title(); ?></h1>
                <?php if (have_posts()) : while (have_posts()) : the_post(); ?>
                    <?php the_content(); ?>
                <?php endwhile; endif; ?>
                <ul class="contentContacts">
                    <li class="contentContacts__item contentContacts__item_phone">
                        <h4 class="contentContacts__title"><?php _e('Phone','aletheme'); ?>:</h4>
                        <div class="contentContacts__entry">
                            <p><?php echo ale_get_option('con_phone'); ?></p>
                        </div>
                    </li>
                    <li class="contentContacts__item contentContacts__item_adress">
                        <h4 class="contentContacts__title"><?php _e('Adress','aletheme'); ?>:</h4>
                        <div class="contentContacts__entry">
                            <p><?php echo ale_get_option('con_adr'); ?></p>
                        </div>
                    </li>
                    <li class="contentContacts__item contentContacts__item_email">
                        <h4 class="contentContacts__title"><?php _e('E-mail','aletheme'); ?>:</h4>
                        <div class="contentContacts__entry">
                            <p>
                                <a href="mailto:info@website.com" class="contentContacts__link"><?php echo ale_get_option('con_email'); ?></a>
                            </p>
                        </div>
                    </li>
                    <li class="contentContacts__item contentContacts__item_social">
                        <?php if(ale_get_option('twi')!= '' & ale_get_option('insta')!='' & ale_get_option('fb')!='' & ale_get_option('pint')!='') { ?>
                        <h4 class="contentContacts__title"><?php _e('We in social networks','aletheme'); ?>:</h4>
                        <div class="contentContacts__entry">
                            <ul class="contentSocial">
                                <li class="contentSocial__item">
                                    <?php if(ale_get_option('twi')){ echo '<a class="contentSocial__link contentSocial__link_twitter" href="'.ale_get_option('twi').'"></a>'; } ?>
                                </li>
                                <li class="contentSocial__item">
                                    <?php if(ale_get_option('insta')){ echo '<a class="contentSocial__link contentSocial__link_instagram" href="'.ale_get_option('insta').'"></a>'; } ?>
                                </li>
                                <li class="contentSocial__item">
                                    <?php if(ale_get_option('fb')){ echo '<a class="contentSocial__link contentSocial__link_facebook" href="'.ale_get_option('fb').'"></a>'; } ?>
                                </li>
                                <li class="contentSocial__item">
                                    <?php if(ale_get_option('pint')){ echo '<a class="contentSocial__link contentSocial__link_print" href="'.ale_get_option('pint').'"></a>'; } ?>
                                </li>
                            </ul>
                        </div>
                        <?php } ?>
                    </li>
                </ul>
                <div class="map">
                    <?php echo do_shortcode('[ale_map address="'.ale_get_option('con_adr').'" width="100%" height="313px"]'); ?>
                </div>
                <form method="post" action="<?php the_permalink();?>" class="sendForm">
                    <?php if (isset($_GET['success'])) : ?>
                        <h3 class="contact_form_success"><?php _e('Thank you for your message!', 'aletheme')?></h3>
                    <?php endif; ?>
                    <?php if (isset($error) && isset($error['msg'])) : ?>
                        <p class="error"><?php echo $error['msg']?></p>
                    <?php endif; ?>
                    <h1 class="sendForm__title"><?php _e('Send us a message','aletheme'); ?></h1>
                    <input class="sendForm__field sendForm__field_name" type="text" placeholder="<?php _e('Name','aletheme'); ?>" name="contact[name]" value="<?php echo isset($_POST['contact']['name']) ? $_POST['contact']['name'] : ''?>" required="required" id="contact-form-name" />
                    <input class="sendForm__field sendForm__field_email" type="email" placeholder="<?php _e('E-mail','aletheme'); ?>" name="contact[email]" value="<?php echo isset($_POST['contact']['email']) ? $_POST['contact']['email'] : ''?>" required="required" id="contact-form-email" />
                    <textarea class="sendForm__field sendForm__field_area" placeholder="<?php _e('Message...','aletheme'); ?>" name="contact[message]" id="contact-form-message" required="required"><?php echo isset($_POST['contact']['message']) ? $_POST['contact']['message'] : ''?></textarea>
                    <input type="submit" class="btn btn_contacts" value="<?php _e('Send', 'aletheme')?>"/>
                    <?php wp_nonce_field() ?>
                </form>
            </div>
        </div>
    </div>
    <!-- END: CONTACTS CONTENT -->

<?php get_footer(); ?>